<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
ForeignKeyDeleteAction Enumeration
See Also Send Feedback

Specifies the action to take when deleting a foreign key

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#

    public enum ForeignKeyDeleteAction

Visual Basic (Declaration)

    Public Enumeration ForeignKeyDeleteAction

Visual C++

    public enum class ForeignKeyDeleteAction

# Members

| Member name | Description
--- | --- | ---
| ABORT | Abort the deletion.
| CASCADE | Delete records that refer to the foreign key
| NULLIFY | Nullify records that refer to the foreign key

# See Also

BerkeleyDB Namespace